<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

	<modelVersion>4.0.0</modelVersion>
	<groupId>com.qmth</groupId>
	<artifactId>jkserver</artifactId>
	<version>3.4.0.1</version>
	<packaging>jar</packaging>
	<name>jkserver</name>

	<parent>
		<groupId>org.springframework.boot</groupId>
		<artifactId>spring-boot-starter-parent</artifactId>
		<version>2.3.0.RELEASE</version>
	</parent>

	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
		<commons-lang.version>3.4</commons-lang.version>
		<commons-codec.version>1.9</commons-codec.version>
		<commons-io.version>2.4</commons-io.version>
		<commons-fileupload.version>1.3.1</commons-fileupload.version>
		<jdk-version>1.8</jdk-version>
		<zip4j.version>1.3.2</zip4j.version>
		<aliyun-sdk-oss.version>3.8.1</aliyun-sdk-oss.version>
        <qmth.boot.version>1.0.4</qmth.boot.version>
        <nanoid.version>2.0.0</nanoid.version>
        <gson.version>2.8.6</gson.version>
        <guava.version>27.1-jre</guava.version>
        <jetbrains.version>13.0</jetbrains.version>
        <httpmime.version>4.5.13</httpmime.version>
        <version-plugin.version>2.8.1</version-plugin.version>
        <jasypt.version>3.0.3</jasypt.version>
	</properties>

	<dependencies>
        <dependency>
            <groupId>com.qmth.boot</groupId>
            <artifactId>starter-api</artifactId>
            <version>${qmth.boot.version}</version>
        </dependency>
        <dependency>
            <groupId>com.qmth.boot</groupId>
            <artifactId>core-solar</artifactId>
            <version>${qmth.boot.version}</version>
        </dependency>
        <dependency>
            <groupId>com.qmth.boot</groupId>
            <artifactId>data-mybatis-plus</artifactId>
            <version>${qmth.boot.version}</version>
        </dependency>
        <dependency>
            <groupId>com.qmth.boot</groupId>
            <artifactId>core-uid</artifactId>
            <version>${qmth.boot.version}</version>
        </dependency>
        <dependency>
            <groupId>com.qmth.boot</groupId>
            <artifactId>core-fss</artifactId>
            <version>${qmth.boot.version}</version>
        </dependency>
        <dependency>
            <groupId>com.qmth.boot</groupId>
            <artifactId>core-cache</artifactId>
            <version>${qmth.boot.version}</version>
        </dependency>
<!--        <dependency>-->
<!--            <groupId>com.qmth.boot</groupId>-->
<!--            <artifactId>core-models</artifactId>-->
<!--            <version>${qmth.boot.version}</version>-->
<!--        </dependency>-->
<!--        <dependency>-->
<!--            <groupId>com.qmth.boot</groupId>-->
<!--            <artifactId>core-logging</artifactId>-->
<!--            <version>${qmth.boot.version}</version>-->
<!--        </dependency>-->
<!--        <dependency>-->
<!--            <groupId>com.qmth.boot</groupId>-->
<!--            <artifactId>core-retrofit</artifactId>-->
<!--            <version>${qmth.boot.version}</version>-->
<!--        </dependency>-->
<!--        <dependency>-->
<!--            <groupId>com.qmth.boot</groupId>-->
<!--            <artifactId>tools-device</artifactId>-->
<!--            <version>${qmth.boot.version}</version>-->
<!--        </dependency>-->
        <dependency>
            <groupId>com.aventrix.jnanoid</groupId>
            <artifactId>jnanoid</artifactId>
            <version>${nanoid.version}</version>
        </dependency>
		<!-- POI 文档操作 -->
		<dependency>
			<groupId>org.apache.poi</groupId>
			<artifactId>poi</artifactId>
			<version>3.15</version>
		</dependency>
		<dependency>
			<groupId>org.apache.poi</groupId>
			<artifactId>poi-ooxml</artifactId>
			<version>3.15</version>
		</dependency>
		<dependency>
			<groupId>org.apache.poi</groupId>
			<artifactId>poi-scratchpad</artifactId>
			<version>3.15</version>
		</dependency>
		<dependency>
			<groupId>com.lowagie</groupId>
			<artifactId>itext</artifactId>
			<version>4.2.1</version>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web</artifactId>
		</dependency>
		<!-- spring boot aop支持 -->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-aop</artifactId>
		</dependency>
		<dependency>
			<groupId>org.apache.commons</groupId>
			<artifactId>commons-lang3</artifactId>
			<version>${commons-lang.version}</version>
		</dependency>
		<dependency>
			<groupId>commons-codec</groupId>
			<artifactId>commons-codec</artifactId>
			<version>${commons-codec.version}</version>
		</dependency>
		<dependency>
			<groupId>commons-io</groupId>
			<artifactId>commons-io</artifactId>
			<version>${commons-io.version}</version>
		</dependency>
		<dependency>
			<groupId>commons-fileupload</groupId>
			<artifactId>commons-fileupload</artifactId>
			<version>${commons-fileupload.version}</version>
		</dependency>
		<!-- zip4j 检测zip解压密码是否正确 -->
		<dependency>
		    <groupId>net.lingala.zip4j</groupId>
		    <artifactId>zip4j</artifactId>
		    <version>${zip4j.version}</version>
		</dependency>
		<dependency>
		    <groupId>org.json</groupId>
		    <artifactId>json</artifactId>
		    <version>20180813</version>
		</dependency>
		<dependency>
			<groupId>com.alibaba</groupId>
			<artifactId>fastjson</artifactId>
			<version>1.2.68</version>
		</dependency>
		<dependency>
			<groupId>io.springfox</groupId>
			<artifactId>springfox-swagger2</artifactId>
			<version>2.9.2</version>
		</dependency>
<!--		<dependency>-->
<!--			<groupId>com.github.xiaoymin</groupId>-->
<!--			<artifactId>swagger-bootstrap-ui</artifactId>-->
<!--			<version>1.9.6</version>-->
<!--		</dependency>-->
        <dependency>
            <groupId>io.springfox</groupId>
            <artifactId>springfox-swagger-ui</artifactId>
            <version>2.9.2</version>
        </dependency>
		<dependency>
			<groupId>cn.hutool</groupId>
			<artifactId>hutool-all</artifactId>
			<version>5.0.6</version>
		</dependency>
        <dependency>
            <groupId>org.hibernate.validator</groupId>
            <artifactId>hibernate-validator</artifactId>
            <version>6.1.6.Final</version>
        </dependency>
        <dependency>
            <groupId>com.google.code.gson</groupId>
            <artifactId>gson</artifactId>
            <version>${gson.version}</version>
        </dependency>
        <dependency>
            <groupId>com.google.guava</groupId>
            <artifactId>guava</artifactId>
            <version>${guava.version}</version>
        </dependency>
        <dependency>
            <groupId>org.jetbrains</groupId>
            <artifactId>annotations</artifactId>
            <version>${jetbrains.version}</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>org.apache.httpcomponents</groupId>
            <artifactId>httpmime</artifactId>
            <version>${httpmime.version}</version>
        </dependency>
        <dependency>
            <groupId>org.springframework.data</groupId>
            <artifactId>spring-data-commons</artifactId>
            <version>2.3.6.RELEASE</version>
        </dependency>
        <dependency>
            <groupId>com.github.ulisesbocchio</groupId>
            <artifactId>jasypt-spring-boot-starter</artifactId>
            <version>${jasypt.version}</version>
        </dependency>
    </dependencies>

	<!-- 构建 -->
	<build>
		<finalName>jkserver</finalName>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
                <version>2.6.2</version>
                <configuration>
                    <includeSystemScope>true</includeSystemScope>
                </configuration>
				<executions>
					<execution>
						<goals>
							<goal>repackage</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<configuration>
					<encoding>UTF-8</encoding>
					<source>${jdk-version}</source>
					<target>${jdk-version}</target>
				</configuration>
			</plugin>
            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>versions-maven-plugin</artifactId>
                <version>${version-plugin.version}</version>
                <configuration>
                    <generateBackupPoms>false</generateBackupPoms>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-resources-plugin</artifactId>
                <version>3.2.0</version>
                <configuration>
                    <encoding>UTF-8</encoding>
                    <useDefaultDelimiters>false</useDefaultDelimiters>
                    <delimiters>
                        <delimiter>$[*]</delimiter>
                    </delimiters>
                    <!-- 过滤后缀不需要转码的文件后缀名pdf -->
                    <nonFilteredFileExtensions>
                        <nonFilteredFileExtension>pdf</nonFilteredFileExtension>
                    </nonFilteredFileExtensions>
                </configuration>
            </plugin>
		</plugins>
	</build>

	<repositories>
		<repository>
			<id>spring-releases</id>
			<url>https://repo.spring.io/libs-release</url>
		</repository>
		<!-- 阿里云CDN -->
		<repository>
			<id>sonatype-nexus-staging</id>
			<name>Sonatype Nexus Staging</name>
			<url>https://oss.sonatype.org/service/local/staging/deploy/maven2/</url>
			<releases>
				<enabled>true</enabled>
			</releases>
			<snapshots>
				<enabled>true</enabled>
			</snapshots>
		</repository>
	</repositories>

	<pluginRepositories>
		<pluginRepository>
			<id>spring-releases</id>
			<url>https://repo.spring.io/libs-release</url>
		</pluginRepository>
	</pluginRepositories>


</project>
